Kerbal Space Program - Bug #2503

Weird crash separating stages
05/25/2014 10:56 PM - lukeschlather

Status: Duplicate Start date: 05/25/2014
Severity: Low % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.23.5 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

The attached Universe Destroyer consistently crashes the game. To reproduce, launch it. Don't make any changes to the staging.
Full throttle, go until the first stage runs out of fuel, then hit space. Hit space again. Crash.

(Merging the two decoupler stages makes it work fine without a crash. )

This is Ubuntu 12.04, with Nvidia driver 304.116 and a GeForce 9600 GT.

Related issues:
Is duplicate of Kerbal Space Program - Bug #2346: TR-38-D decoupler does not ... Closed 04/04/2014

History

#1 - 05/26/2014 12:28 AM - lukeschlather

On Windows, | can see that there is a stack overflow, but the game doesn't crash:

[LOG 22:24:01.851] activating stage 11 - current stage: 12

[LOG 22:24:01.870] [00:00:57]: Separation of stage 12 confirmed

[LOG 22:24:01.876] [radialDecoupler1-2]: Activated

[LOG 22:24:01.894] [radialDecoupler1-2]: Activated

[LOG 22:24:01.914] [radialDecoupler1-2]: Activated

[LOG 22:24:01.926] [radialDecoupler1-2]: Activated

[LOG 22:24:01.938] [radialDecoupler1-2]: Activated

[LOG 22:24:01.951] [radialDecoupler1-2]: Activated

[LOG 22:24:02.940] activating stage 10 - current stage: 11

[LOG 22:24:03.118] Should have Jettisoned

[LOG 22:24:03.122] [Size3AdvancedEngine]: Activated

[EXC 22:24:03.198] StackOverflowException: The requested operation caused a stack overflow.

[LOG 22:24:05.784] [00:00:58]: Size3LargeTank was damaged by engine exhaust from Size3AdvancedEngine.
[LOG 22:24:05.812] size3Decoupler collided into Size3LargeTank - relative velocity: 152.0747 - impact momentum: 1520.7
[LOG 22:24:05.818] size3Decoupler Exploded!! - blast awesomeness: 0.5

[LOG 22:24:05.835] [size3Decoupler]: Deactivated

#2 - 05/26/2014 04:10 AM - Kasuha

Seems to be the same problem as #2355 and #2346 to me. The same workaround/fix should apply as well:

1) With a text editor (such as notepad) open up the part.cfg file for the TR-38-D. It should be located in
KSP\GameData\NASAmission\Parts\Size3Decoupler\part.cfg

2) Find the line that says allllPhysicsSignificance = 1400 and change it to alllPhysicsSignificance = 0all[l
3) Save the file and restart KSP.

#3 - 07/09/2015 09:51 PM - Squelch
- Is duplicate of Bug #2346: TR-38-D decoupler does not separate correctly added

#4 - 07/09/2015 09:52 PM - Squelch
- Status changed from New to Duplicate

- % Done changed from 0 to 100
